List linked terminal applications beta
Retrieve all terminal applications linked to a specific account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/terminal-applications.read scope.
GET
/accounts/{accountID}/terminal-applications
curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications" \
-H "Authorization: Bearer {token}" \
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.AccountTerminalApplications.ListAsync(accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e");
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListAccountTerminalApplicationsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListAccountTerminalApplicationsResponse res = sdk.accountTerminalApplications().list()
.accountID("76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
.call();
if (res.accountTerminalApplications().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.account_terminal_applications.list(account_id: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e')
unless res.account_terminal_applications.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accountTerminalApplications.list({
accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->accountTerminalApplications->list(
accountID: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e'
);
if ($response->accountTerminalApplications !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.account_terminal_applications.list(account_id="76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
# Handle response
print(res)The request completed successfully.
[
{
"accountID": "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
"terminalApplicationID": "12345678-1234-1234-1234-123456789012"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Response
accountID
string
ID of the merchant account.
terminalApplicationID
string
ID of the terminal application.